Bug 236638

Summary: sysutils/fusefs-libs: don't install irrelevant man pages
Product: Ports & Packages Reporter: Alan Somers <asomers>
Component: Individual Port(s)Assignee: Alan Somers <asomers>
Status: Closed FIXED    
Severity: Affects Only Me CC: emaste
Priority: --- Flags: asomers: maintainer-feedback-
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Don't install irrelevant man pages koobs: maintainer-approval+

Description Alan Somers freebsd_committer 2019-03-19 15:58:47 UTC
sysutils/fusefs-libs installs fusermount.1.gz, ulockmgr_server.1.gz, and mount.fuse.8.gz even though it doesn't install the programs they document.  Those man pages are not only a waste of space, they could confuse uses by distracting them from mount_fusefs, which is what they should be using instead.  The port should not install those man pages.
Comment 1 Alan Somers freebsd_committer 2019-07-31 16:08:32 UTC
ping.  Can we remove those man pages from the port?
Comment 2 Ed Maste freebsd_committer 2019-07-31 16:19:18 UTC
Sounds good to me, port should not install man pages for programs it does not install. With no maintainer response you should be good to get a ports committer approval for timeout.
Comment 3 Alan Somers freebsd_committer 2019-07-31 16:45:28 UTC
Created attachment 206179 [details]
Don't install irrelevant man pages
Comment 4 commit-hook freebsd_committer 2019-09-15 04:46:16 UTC
A commit references this bug:

Author: asomers
Date: Sun Sep 15 04:46:04 UTC 2019
New revision: 512089
URL: https://svnweb.freebsd.org/changeset/ports/512089

Log:
  sysutils/fusefs-libs: don't install irrelevant man pages

  Don't install man pages for programs that the port doesn't install.

  PR:		236638
  Reviewed by:	emaste
  Approved by:	se (maintainer timeout)
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/sysutils/fusefs-libs/Makefile
  head/sysutils/fusefs-libs/files/patch-doc_Makefile.am
  head/sysutils/fusefs-libs/pkg-plist
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-15 07:22:45 UTC
Comment on attachment 206179 [details]
Don't install irrelevant man pages

^Triage, document approval on attachment:

Approved by: portmgr (maintainer timeout: 2 months)